package environment.event;

import java.util.EventObject;

/**
 * Event that is created by a Signalgeber (traffic light) if a malfunction or an error was detected. Contains
 * the source object for this event.
 *
 * @author Andreas Metzger
 * @version 1.0
 */

public class FehlerEvent extends NamedEventObject {

	/** Constructor for event object.
	 * @param source The source object (usually the object the event originated from).
	 */
	public FehlerEvent(Object source, String name) {
		super(source, name);
	}
}
